package com.helix.tasks.model;

import com.liferay.portal.kernel.bean.AutoEscape;
import com.liferay.portal.kernel.exception.SystemException;
import com.liferay.portal.model.BaseModel;
import com.liferay.portal.model.CacheModel;
import com.liferay.portal.service.ServiceContext;

import com.liferay.portlet.expando.model.ExpandoBridge;

import java.io.Serializable;

import java.util.Date;

/**
 * The base model interface for the Events service. Represents a row in the &quot;Helix_Events&quot; database table, with each column mapped to a property of this class.
 *
 * <p>
 * This interface and its corresponding implementation {@link com.helix.tasks.model.impl.EventsModelImpl} exist only as a container for the default property accessors generated by ServiceBuilder. Helper methods and all application logic should be put in {@link com.helix.tasks.model.impl.EventsImpl}.
 * </p>
 *
 * @author Brian Wing Shun Chan
 * @see Events
 * @see com.helix.tasks.model.impl.EventsImpl
 * @see com.helix.tasks.model.impl.EventsModelImpl
 * @generated
 */
public interface EventsModel extends BaseModel<Events> {
    /*
     * NOTE FOR DEVELOPERS:
     *
     * Never modify or reference this interface directly. All methods that expect a events model instance should use the {@link Events} interface instead.
     */

    /**
     * Returns the primary key of this events.
     *
     * @return the primary key of this events
     */
    public long getPrimaryKey();

    /**
     * Sets the primary key of this events.
     *
     * @param primaryKey the primary key of this events
     */
    public void setPrimaryKey(long primaryKey);

    /**
     * Returns the event ID of this events.
     *
     * @return the event ID of this events
     */
    public long getEventId();

    /**
     * Sets the event ID of this events.
     *
     * @param eventId the event ID of this events
     */
    public void setEventId(long eventId);

    /**
     * Returns the source ID of this events.
     *
     * @return the source ID of this events
     */
    public long getSourceId();

    /**
     * Sets the source ID of this events.
     *
     * @param sourceId the source ID of this events
     */
    public void setSourceId(long sourceId);

    /**
     * Returns the group ID of this events.
     *
     * @return the group ID of this events
     */
    public long getGroupId();

    /**
     * Sets the group ID of this events.
     *
     * @param groupId the group ID of this events
     */
    public void setGroupId(long groupId);

    /**
     * Returns the company ID of this events.
     *
     * @return the company ID of this events
     */
    public long getCompanyId();

    /**
     * Sets the company ID of this events.
     *
     * @param companyId the company ID of this events
     */
    public void setCompanyId(long companyId);

    /**
     * Returns the user ID of this events.
     *
     * @return the user ID of this events
     */
    public long getUserId();

    /**
     * Sets the user ID of this events.
     *
     * @param userId the user ID of this events
     */
    public void setUserId(long userId);

    /**
     * Returns the user uuid of this events.
     *
     * @return the user uuid of this events
     * @throws SystemException if a system exception occurred
     */
    public String getUserUuid() throws SystemException;

    /**
     * Sets the user uuid of this events.
     *
     * @param userUuid the user uuid of this events
     */
    public void setUserUuid(String userUuid);

    /**
     * Returns the create date of this events.
     *
     * @return the create date of this events
     */
    public Date getCreateDate();

    /**
     * Sets the create date of this events.
     *
     * @param createDate the create date of this events
     */
    public void setCreateDate(Date createDate);

    /**
     * Returns the modified date of this events.
     *
     * @return the modified date of this events
     */
    public Date getModifiedDate();

    /**
     * Sets the modified date of this events.
     *
     * @param modifiedDate the modified date of this events
     */
    public void setModifiedDate(Date modifiedDate);

    /**
     * Returns the url of this events.
     *
     * @return the url of this events
     */
    @AutoEscape
    public String getUrl();

    /**
     * Sets the url of this events.
     *
     * @param url the url of this events
     */
    public void setUrl(String url);

    /**
     * Returns the name of this events.
     *
     * @return the name of this events
     */
    @AutoEscape
    public String getName();

    /**
     * Sets the name of this events.
     *
     * @param name the name of this events
     */
    public void setName(String name);

    /**
     * Returns the time of this events.
     *
     * @return the time of this events
     */
    @AutoEscape
    public String getTime();

    /**
     * Sets the time of this events.
     *
     * @param time the time of this events
     */
    public void setTime(String time);

    /**
     * Returns the location of this events.
     *
     * @return the location of this events
     */
    @AutoEscape
    public String getLocation();

    /**
     * Sets the location of this events.
     *
     * @param location the location of this events
     */
    public void setLocation(String location);

    /**
     * Returns the image eu of this events.
     *
     * @return the image eu of this events
     */
    @AutoEscape
    public String getImageEu();

    /**
     * Sets the image eu of this events.
     *
     * @param imageEu the image eu of this events
     */
    public void setImageEu(String imageEu);

    /**
     * Returns the relative link to site of this events.
     *
     * @return the relative link to site of this events
     */
    @AutoEscape
    public String getRelativeLinkToSite();

    /**
     * Sets the relative link to site of this events.
     *
     * @param relativeLinkToSite the relative link to site of this events
     */
    public void setRelativeLinkToSite(String relativeLinkToSite);

    /**
     * Returns the site uuid of this events.
     *
     * @return the site uuid of this events
     */
    @AutoEscape
    public String getSiteUuid();

    /**
     * Sets the site uuid of this events.
     *
     * @param siteUuid the site uuid of this events
     */
    public void setSiteUuid(String siteUuid);

    @Override
    public boolean isNew();

    @Override
    public void setNew(boolean n);

    @Override
    public boolean isCachedModel();

    @Override
    public void setCachedModel(boolean cachedModel);

    @Override
    public boolean isEscapedModel();

    @Override
    public Serializable getPrimaryKeyObj();

    @Override
    public void setPrimaryKeyObj(Serializable primaryKeyObj);

    @Override
    public ExpandoBridge getExpandoBridge();

    @Override
    public void setExpandoBridgeAttributes(BaseModel<?> baseModel);

    @Override
    public void setExpandoBridgeAttributes(ExpandoBridge expandoBridge);

    @Override
    public void setExpandoBridgeAttributes(ServiceContext serviceContext);

    @Override
    public Object clone();

    @Override
    public int compareTo(com.helix.tasks.model.Events events);

    @Override
    public int hashCode();

    @Override
    public CacheModel<com.helix.tasks.model.Events> toCacheModel();

    @Override
    public com.helix.tasks.model.Events toEscapedModel();

    @Override
    public com.helix.tasks.model.Events toUnescapedModel();

    @Override
    public String toString();

    @Override
    public String toXmlString();
}
